| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::SearchTextFilterSettings Class Reference
Inheritance diagram for Digikam::SearchTextFilterSettings:

## Public Types
enum | TextFilterFields { None = 0x00 , ImageName = 0x01 , ImagePath = 0x02 , ImageTitle = 0x04 , ImageComment = 0x08 , TagName = 0x10 , AlbumName = 0x20 , ImageAspectRatio = 0x40 , ImagePixelSize = 0x80 , All = ImageName | ImagePath | ImageTitle | ImageComment | TagName | AlbumName | ImageAspectRatio | ImagePixelSize }

## Public Member Functions
| SearchTextFilterSettings (const SearchTextSettings &settings)

## Public Attributes
bool | invert = false
TextFilterFields | textFields = None
Public Attributes inherited from Digikam::SearchTextSettings
Qt::CaseSensitivity | caseSensitive = Qt::CaseInsensitive
QString | text